CREATE DATABASE store;

USE store;

CREATE TABLE items (product_id INT AUTO_INCREMENT primary key,title VARCHAR(50),name VARCHAR(50), 
					price DECIMAL(5, 2), info TEXT , condi VARCHAR(50),img LONGTEXT);

CREATE TABLE userdata (id INT AUTO_INCREMENT PRIMARY KEY,username VARCHAR(50), 
                        firstname VARCHAR(50), lastname VARCHAR(50),email VARCHAR(255) NOT NULL UNIQUE,
                        hashedPassword VARCHAR(255) UNIQUE);


CREATE USER 'c'@'localhost' IDENTIFIED WITH mysql_native_password BY 'c';
GRANT ALL PRIVILEGES ON store.* TO 'c'@'localhost';
